dm 'odsresults;clear';
title;
options ls=130;
libname ekt "C:\Users\User\Documents\Research report" ;
quit;
dm 'odsresults;clear';

symbol1 value=dot 
        height=2 i=none;
symbol2 value=dot 
        height=2 i=none;
symbol3 value=dot 
        height=2 i=none;
proc import
  datafile='C:\Users\User\Documents\Research report\categorical_moderation_example'
  out=mod1
  dbms=xlsx replace;
run;
proc print data=work.mod1 ;
run;


data mod;
set mod1;
XZ= socsup*gender;
run;

proc print data= mod;
run;

proc reg data= mod;
 model depression= socsup / clb;
run ;
proc reg data= mod;
 model depression= socsup gender / clb;
run ;
proc reg data= mod;
 model depression= socsup gender XZ / clb;
run ;
plot depression*gender;
run;
proc corr data= mod;
var depression socsup gender XZ;
run;

/*proc gplot data= mod;*/
/*plot depression*(socsup gender)/overlay;*/
/*run;*/

/*proc sgscatter data=mod;*/
/*title "Moderation Model Dimensions"; */
/*matrix depression socsup gender xz/ group=depression diagonal=(histogram kernel);*/
/*run;*/

proc sgplot data=mod; 
scatter x=xz y=depression;
/*ellipse x=xz y=depression; */
run;

proc sgplot data=mod; 
scatter x=socsup y=depression;
/*ellipse x=socsup y=depression; */
run;


proc sgplot data=mod;  
scatter x=gender y=depression;
/*ellipse x=gender y=depression; */
run;

proc gplot data= mod;
plot (depression socsup)*gender \ overlay;
run;

/*proc gplot data= mod;*/
/*plot (depression)*gender / overlay;*/
/*run;*/
/**/
/*proc gplot data= mod;*/
/*plot (socsup)*gender / overlay;*/
/*run;*/

proc glm data=mod plots=meanplot;  /* PLOTS= option supported in many procedures */
class gender;
model depression= socsup gender;
quit;
